Bug 553953 - [abrt] crash when unplugging modem during operation
[abrt] crash when unplugging modem during operation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:6b121c9a45e1052516bdaab8362...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-09 13:17 EST by Thom Carlin
Modified: 2010-02-05 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3-1.git20100119.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 19:08:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.51 KB, text/plain)
2010-01-09 13:17 EST, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2010-01-09 13:17:36 EST
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: /usr/sbin/modem-manager
component: ModemManager
executable: /usr/sbin/modem-manager
kernel: 2.6.31.9-174.fc12.x86_64
package: ModemManager-0.2.997-4.git20091218.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 Thom Carlin 2010-01-09 13:17:38 EST
Created attachment 382684 [details]
File: backtrace
Comment 2 Dan Williams 2010-01-18 17:09:34 EST
Any idea what you were doing when this occurred?  Did you pull the modem out around the time it crashed?
Comment 3 Dan Williams 2010-01-19 03:19:45 EST
Thanks, reproduced and fixed upstream:

http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=50ad39b28e61adb3d9da178c47e41100f554adeb

should make its way into an MM update soon.
Comment 4 Fedora Update System 2010-01-19 18:36:22 EST
ModemManager-0.3-1.git20100119.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-1.git20100119.fc12
Comment 5 Fedora Update System 2010-01-20 19:10:29 EST
ModemManager-0.3-1.git20100119.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0847
Comment 6 Fedora Update System 2010-02-05 19:07:44 EST
ModemManager-0.3-1.git20100119.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.